Bug 1248465 - REDHATVERSION in footer is not substituted
REDHATVERSION in footer is not substituted
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity unspecified
: async
: 7.0 (Kilo)
Assigned To: Matthias Runge
Martin Pavlásek
: Triaged, ZStream
Depends On:
  Show dependency treegraph
Reported: 2015-07-30 07:10 EDT by Martin Pavlásek
Modified: 2015-08-19 07:53 EDT (History)
7 users (show)

See Also:
Fixed In Version: python-django-horizon-2015.1.0-11.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-08-19 07:53:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Pavlásek 2015-07-30 07:10:37 EDT
Description of problem:
In footer of System information page there is string REDHATVERSION that I think should be substituted by real version such as "7.0" or "RHOS 7.0".

Version-Release number of selected component (if applicable):
RHEL 7.1

How reproducible:

Steps to Reproduce:
1. log in as admin user
2. navigate: Admin - System - System Information

Actual results:

Expected results:
Version: something like RHOS-7.0

Additional info:
Comment 3 Matthias Runge 2015-08-04 09:34:24 EDT
This is a fall out of using/not using pbr at runtime, and patching pbr out of horizon.
Comment 4 Matthias Runge 2015-08-06 03:40:52 EDT
How to test:

go to dashboard/admin/info/
look at lower right corner: there should be a release version instead of
Comment 6 Lon Hohberger 2015-08-06 16:38:18 EDT
You can add pbr back in if you need to - it's part of RHEL OSP 7.
Comment 7 Matthias Runge 2015-08-07 03:24:15 EDT
I would put 

# finalize pbr removal
sed -i s/REDHATVERSION/%{version}/ horizon/version.py
sed -i s/REDHATRELEASE/%{release}/ horizon/version.py

back in spec file.
Comment 9 Martin Pavlásek 2015-08-17 12:00:15 EDT
Installed from package:

and it's fixed - here is note in footer of the page:
"Version: 2015.1.0"

Comment 11 errata-xmlrpc 2015-08-19 07:53:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.